%global debug_package %{nil}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

Name:           python-zope-filesystem
Version:        1
Release:        8%{?dist}
Summary:        Python-Zope Libraries Base Filesystem
Group:          Development/Languages
License:        ZPLv2.1
URL:            https://fedoraproject.org/wiki/SIGs/SciTech/SAGE
Source0:        python-zope-filesystem-__init__.py
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel
Requires:       python-setuptools


%description
This package contains the base filesystem layout for all Fedora
python-zope-*,  python-zc-*, python-z3c-* and python-five-* packages.


%prep
%setup -q -c -T
cp -p %{SOURCE0} __init__.py


%build
# nothing


%install
rm -rf $RPM_BUILD_ROOT
for DIR in zope zope/app five zc z3c; do
  mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/$DIR
  install -p -m 644 __init__.py $RPM_BUILD_ROOT%{python_sitelib}/$DIR
  mkdir -p $RPM_BUILD_ROOT%{python_sitearch}/$DIR
  install -p -m 644 __init__.py $RPM_BUILD_ROOT%{python_sitearch}/$DIR
done  
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# For non-multilib systems (x86), we only need sitelib
%{python_sitelib}/zope
%{python_sitelib}/five
%{python_sitelib}/zc
%{python_sitelib}/z3c
%if "%{python_sitearch}" != "%{python_sitelib}"
# For multilib systems (x86_64), we also need sitearch
%{python_sitearch}/zope
%{python_sitearch}/five
%{python_sitearch}/zc
%{python_sitearch}/z3c
%endif


%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 3 2010 Conrad Meyer <konrad@tylerc.org> - 1-7
- Apply Toshio Kuratomi's patch (rhbz#611098)

* Sat Jul 3 2010 Conrad Meyer <konrad@tylerc.org> - 1-6
- Add copyright notice and license to __init__.py

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 1-5
- Add zope.app, five, zc and z3c namespaces

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Conrad Meyer <konrad@tylerc.org> - 1-2
- Don't list files twice on non-lib64 platforms.
- Preserve timestamps.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 1-1
- Initial package.
